Subject: [patch v11 19/23] XEN / ACPI: Make XEN ACPI depend on X86

From: [email-masked] (Will Deacon)
Date: Wed, 25 Mar 2015 11:51:13 +0000

Hi Stefano,

On Tue, Mar 24, 2015 at 05:24:53PM +0000, Stefano Stabellini wrote:
> On Tue, 24 Mar 2015, Boris Ostrovsky wrote:
> > On 03/24/2015 10:02 AM, Hanjun Guo wrote:
> > > When ACPI is enabled on ARM64, XEN ACPI will also compiled
> > > into the kernel, but XEN ACPI is x86 dependent, so introduce
> > > CONFIG_XEN_ACPI to make it depend on x86 before XEN ACPI is
> > > functional on ARM64.
> > > 
> > > CC: 'Stefano Stabellini' <[email-masked]>
> > > CC: Julien Grall <[email-masked]>
> > > CC: Konrad Rzeszutek Wilk <[email-masked]>
> > > CC: Boris Ostrovsky <[email-masked]>
> > > CC: David Vrabel <[email-masked]>
> > > Signed-off-by: Hanjun Guo <[email-masked]>
> > > ---
> > >   drivers/xen/Kconfig  | 4 ++++
> > >   drivers/xen/Makefile | 2 +-
> > >   2 files changed, 5 insertions(+), 1 deletion(-)
> > > 
> > > diff --git a/drivers/xen/Kconfig b/drivers/xen/Kconfig
> > > index b812462..a31cd29 100644
> > > --- a/drivers/xen/Kconfig
> > > +++ b/drivers/xen/Kconfig
> > > @@ -253,4 +253,8 @@ config XEN_EFI
> > >   	def_bool y
> > >   	depends on X86_64 && EFI
> > >   +config XEN_ACPI
> > > +	def_bool y
> > > +	depends on X86 && ACPI
> > > +
> > 
> > 
> > I think XEN_DOM0 (in arch/x86/xen/Kconfig) should select this option.
> > Otherwise, if it is set to 'n', we won't be able to build enlighten.c
> > (xen_start_kernel() -> xen_acpi_sleep_register() refers to
> > xen_acpi_notify_hypervisor_sleep()).
> > 
> 
> I don't think that it is necessary: XEN_ACPI gets automatically enabled
> anyway.

In which case, can I have your Ack on this please?

Will